```@meta
CurrentModule = Mosek
```

# Integer parameters

```@docs
MSK_IPAR_ANA_SOL_BASIS
MSK_IPAR_ANA_SOL_PRINT_VIOLATED
MSK_IPAR_AUTO_SORT_A_BEFORE_OPT
MSK_IPAR_AUTO_UPDATE_SOL_INFO
MSK_IPAR_BASIS_SOLVE_USE_PLUS_ONE
MSK_IPAR_BI_CLEAN_OPTIMIZER
MSK_IPAR_BI_IGNORE_MAX_ITER
MSK_IPAR_BI_IGNORE_NUM_ERROR
MSK_IPAR_BI_MAX_ITERATIONS
MSK_IPAR_CACHE_LICENSE
MSK_IPAR_CHECK_CONVEXITY
MSK_IPAR_COMPRESS_STATFILE
MSK_IPAR_INFEAS_GENERIC_NAMES
MSK_IPAR_INFEAS_PREFER_PRIMAL
MSK_IPAR_INFEAS_REPORT_AUTO
MSK_IPAR_INFEAS_REPORT_LEVEL
MSK_IPAR_INTPNT_BASIS
MSK_IPAR_INTPNT_DIFF_STEP
MSK_IPAR_INTPNT_HOTSTART
MSK_IPAR_INTPNT_MAX_ITERATIONS
MSK_IPAR_INTPNT_MAX_NUM_COR
MSK_IPAR_INTPNT_MAX_NUM_REFINEMENT_STEPS
MSK_IPAR_INTPNT_MULTI_THREAD
MSK_IPAR_INTPNT_OFF_COL_TRH
MSK_IPAR_INTPNT_ORDER_METHOD
MSK_IPAR_INTPNT_REGULARIZATION_USE
MSK_IPAR_INTPNT_SCALING
MSK_IPAR_INTPNT_SOLVE_FORM
MSK_IPAR_INTPNT_STARTING_POINT
MSK_IPAR_LICENSE_DEBUG
MSK_IPAR_LICENSE_PAUSE_TIME
MSK_IPAR_LICENSE_SUPPRESS_EXPIRE_WRNS
MSK_IPAR_LICENSE_TRH_EXPIRY_WRN
MSK_IPAR_LICENSE_WAIT
MSK_IPAR_LOG
MSK_IPAR_LOG_ANA_PRO
MSK_IPAR_LOG_BI
MSK_IPAR_LOG_BI_FREQ
MSK_IPAR_LOG_CHECK_CONVEXITY
MSK_IPAR_LOG_CUT_SECOND_OPT
MSK_IPAR_LOG_EXPAND
MSK_IPAR_LOG_FEAS_REPAIR
MSK_IPAR_LOG_FILE
MSK_IPAR_LOG_INFEAS_ANA
MSK_IPAR_LOG_INTPNT
MSK_IPAR_LOG_MIO
MSK_IPAR_LOG_MIO_FREQ
MSK_IPAR_LOG_ORDER
MSK_IPAR_LOG_PRESOLVE
MSK_IPAR_LOG_RESPONSE
MSK_IPAR_LOG_SENSITIVITY
MSK_IPAR_LOG_SENSITIVITY_OPT
MSK_IPAR_LOG_SIM
MSK_IPAR_LOG_SIM_FREQ
MSK_IPAR_LOG_SIM_MINOR
MSK_IPAR_LOG_STORAGE
MSK_IPAR_MAX_NUM_WARNINGS
MSK_IPAR_MIO_BRANCH_DIR
MSK_IPAR_MIO_CONSTRUCT_SOL
MSK_IPAR_MIO_CUT_CLIQUE
MSK_IPAR_MIO_CUT_CMIR
MSK_IPAR_MIO_CUT_GMI
MSK_IPAR_MIO_CUT_IMPLIED_BOUND
MSK_IPAR_MIO_CUT_KNAPSACK_COVER
MSK_IPAR_MIO_CUT_SELECTION_LEVEL
MSK_IPAR_MIO_HEURISTIC_LEVEL
MSK_IPAR_MIO_MAX_NUM_BRANCHES
MSK_IPAR_MIO_MAX_NUM_RELAXS
MSK_IPAR_MIO_MAX_NUM_SOLUTIONS
MSK_IPAR_MIO_MODE
MSK_IPAR_MIO_MT_USER_CB
MSK_IPAR_MIO_NODE_OPTIMIZER
MSK_IPAR_MIO_NODE_SELECTION
MSK_IPAR_MIO_PERSPECTIVE_REFORMULATE
MSK_IPAR_MIO_PROBING_LEVEL
MSK_IPAR_MIO_RINS_MAX_NODES
MSK_IPAR_MIO_ROOT_OPTIMIZER
MSK_IPAR_MIO_ROOT_REPEAT_PRESOLVE_LEVEL
MSK_IPAR_MIO_VB_DETECTION_LEVEL
MSK_IPAR_MT_SPINCOUNT
MSK_IPAR_NUM_THREADS
MSK_IPAR_OPF_MAX_TERMS_PER_LINE
MSK_IPAR_OPF_WRITE_HEADER
MSK_IPAR_OPF_WRITE_HINTS
MSK_IPAR_OPF_WRITE_PARAMETERS
MSK_IPAR_OPF_WRITE_PROBLEM
MSK_IPAR_OPF_WRITE_SOL_BAS
MSK_IPAR_OPF_WRITE_SOL_ITG
MSK_IPAR_OPF_WRITE_SOL_ITR
MSK_IPAR_OPF_WRITE_SOLUTIONS
MSK_IPAR_OPTIMIZER
MSK_IPAR_PARAM_READ_CASE_NAME
MSK_IPAR_PARAM_READ_IGN_ERROR
MSK_IPAR_PRESOLVE_ELIMINATOR_MAX_FILL
MSK_IPAR_PRESOLVE_ELIMINATOR_MAX_NUM_TRIES
MSK_IPAR_PRESOLVE_LEVEL
MSK_IPAR_PRESOLVE_LINDEP_ABS_WORK_TRH
MSK_IPAR_PRESOLVE_LINDEP_REL_WORK_TRH
MSK_IPAR_PRESOLVE_LINDEP_USE
MSK_IPAR_PRESOLVE_MAX_NUM_REDUCTIONS
MSK_IPAR_PRESOLVE_USE
MSK_IPAR_PRIMAL_REPAIR_OPTIMIZER
MSK_IPAR_READ_DATA_COMPRESSED
MSK_IPAR_READ_DATA_FORMAT
MSK_IPAR_READ_DEBUG
MSK_IPAR_READ_KEEP_FREE_CON
MSK_IPAR_READ_LP_DROP_NEW_VARS_IN_BOU
MSK_IPAR_READ_LP_QUOTED_NAMES
MSK_IPAR_READ_MPS_FORMAT
MSK_IPAR_READ_MPS_WIDTH
MSK_IPAR_READ_TASK_IGNORE_PARAM
MSK_IPAR_REMOVE_UNUSED_SOLUTIONS
MSK_IPAR_SENSITIVITY_ALL
MSK_IPAR_SENSITIVITY_OPTIMIZER
MSK_IPAR_SENSITIVITY_TYPE
MSK_IPAR_SIM_BASIS_FACTOR_USE
MSK_IPAR_SIM_DEGEN
MSK_IPAR_SIM_DUAL_CRASH
MSK_IPAR_SIM_DUAL_PHASEONE_METHOD
MSK_IPAR_SIM_DUAL_RESTRICT_SELECTION
MSK_IPAR_SIM_DUAL_SELECTION
MSK_IPAR_SIM_EXPLOIT_DUPVEC
MSK_IPAR_SIM_HOTSTART
MSK_IPAR_SIM_HOTSTART_LU
MSK_IPAR_SIM_MAX_ITERATIONS
MSK_IPAR_SIM_MAX_NUM_SETBACKS
MSK_IPAR_SIM_NON_SINGULAR
MSK_IPAR_SIM_PRIMAL_CRASH
MSK_IPAR_SIM_PRIMAL_PHASEONE_METHOD
MSK_IPAR_SIM_PRIMAL_RESTRICT_SELECTION
MSK_IPAR_SIM_PRIMAL_SELECTION
MSK_IPAR_SIM_REFACTOR_FREQ
MSK_IPAR_SIM_REFORMULATION
MSK_IPAR_SIM_SAVE_LU
MSK_IPAR_SIM_SCALING
MSK_IPAR_SIM_SCALING_METHOD
MSK_IPAR_SIM_SOLVE_FORM
MSK_IPAR_SIM_STABILITY_PRIORITY
MSK_IPAR_SIM_SWITCH_OPTIMIZER
MSK_IPAR_SOL_FILTER_KEEP_BASIC
MSK_IPAR_SOL_FILTER_KEEP_RANGED
MSK_IPAR_SOL_READ_NAME_WIDTH
MSK_IPAR_SOL_READ_WIDTH
MSK_IPAR_SOLUTION_CALLBACK
MSK_IPAR_TIMING_LEVEL
MSK_IPAR_WRITE_BAS_CONSTRAINTS
MSK_IPAR_WRITE_BAS_HEAD
MSK_IPAR_WRITE_BAS_VARIABLES
MSK_IPAR_WRITE_DATA_COMPRESSED
MSK_IPAR_WRITE_DATA_FORMAT
MSK_IPAR_WRITE_DATA_PARAM
MSK_IPAR_WRITE_FREE_CON
MSK_IPAR_WRITE_GENERIC_NAMES
MSK_IPAR_WRITE_GENERIC_NAMES_IO
MSK_IPAR_WRITE_IGNORE_INCOMPATIBLE_ITEMS
MSK_IPAR_WRITE_INT_CONSTRAINTS
MSK_IPAR_WRITE_INT_HEAD
MSK_IPAR_WRITE_INT_VARIABLES
MSK_IPAR_WRITE_LP_FULL_OBJ
MSK_IPAR_WRITE_LP_LINE_WIDTH
MSK_IPAR_WRITE_LP_QUOTED_NAMES
MSK_IPAR_WRITE_LP_STRICT_FORMAT
MSK_IPAR_WRITE_LP_TERMS_PER_LINE
MSK_IPAR_WRITE_MPS_FORMAT
MSK_IPAR_WRITE_MPS_INT
MSK_IPAR_WRITE_PRECISION
MSK_IPAR_WRITE_SOL_BARVARIABLES
MSK_IPAR_WRITE_SOL_CONSTRAINTS
MSK_IPAR_WRITE_SOL_HEAD
MSK_IPAR_WRITE_SOL_IGNORE_INVALID_NAMES
MSK_IPAR_WRITE_SOL_VARIABLES
MSK_IPAR_WRITE_TASK_INC_SOL
MSK_IPAR_WRITE_XML_MODE
```


# Double parameters

```@docs
MSK_DPAR_ANA_SOL_INFEAS_TOL
MSK_DPAR_BASIS_REL_TOL_S
MSK_DPAR_BASIS_TOL_S
MSK_DPAR_BASIS_TOL_X
MSK_DPAR_CHECK_CONVEXITY_REL_TOL
MSK_DPAR_DATA_SYM_MAT_TOL
MSK_DPAR_DATA_SYM_MAT_TOL_HUGE
MSK_DPAR_DATA_SYM_MAT_TOL_LARGE
MSK_DPAR_DATA_TOL_AIJ
MSK_DPAR_DATA_TOL_AIJ_HUGE
MSK_DPAR_DATA_TOL_AIJ_LARGE
MSK_DPAR_DATA_TOL_BOUND_INF
MSK_DPAR_DATA_TOL_BOUND_WRN
MSK_DPAR_DATA_TOL_C_HUGE
MSK_DPAR_DATA_TOL_CJ_LARGE
MSK_DPAR_DATA_TOL_QIJ
MSK_DPAR_DATA_TOL_X
MSK_DPAR_INTPNT_CO_TOL_DFEAS
MSK_DPAR_INTPNT_CO_TOL_INFEAS
MSK_DPAR_INTPNT_CO_TOL_MU_RED
MSK_DPAR_INTPNT_CO_TOL_NEAR_REL
MSK_DPAR_INTPNT_CO_TOL_PFEAS
MSK_DPAR_INTPNT_CO_TOL_REL_GAP
MSK_DPAR_INTPNT_NL_MERIT_BAL
MSK_DPAR_INTPNT_NL_TOL_DFEAS
MSK_DPAR_INTPNT_NL_TOL_MU_RED
MSK_DPAR_INTPNT_NL_TOL_NEAR_REL
MSK_DPAR_INTPNT_NL_TOL_PFEAS
MSK_DPAR_INTPNT_NL_TOL_REL_GAP
MSK_DPAR_INTPNT_NL_TOL_REL_STEP
MSK_DPAR_INTPNT_QO_TOL_DFEAS
MSK_DPAR_INTPNT_QO_TOL_INFEAS
MSK_DPAR_INTPNT_QO_TOL_MU_RED
MSK_DPAR_INTPNT_QO_TOL_NEAR_REL
MSK_DPAR_INTPNT_QO_TOL_PFEAS
MSK_DPAR_INTPNT_QO_TOL_REL_GAP
MSK_DPAR_INTPNT_TOL_DFEAS
MSK_DPAR_INTPNT_TOL_DSAFE
MSK_DPAR_INTPNT_TOL_INFEAS
MSK_DPAR_INTPNT_TOL_MU_RED
MSK_DPAR_INTPNT_TOL_PATH
MSK_DPAR_INTPNT_TOL_PFEAS
MSK_DPAR_INTPNT_TOL_PSAFE
MSK_DPAR_INTPNT_TOL_REL_GAP
MSK_DPAR_INTPNT_TOL_REL_STEP
MSK_DPAR_INTPNT_TOL_STEP_SIZE
MSK_DPAR_LOWER_OBJ_CUT
MSK_DPAR_LOWER_OBJ_CUT_FINITE_TRH
MSK_DPAR_MIO_DISABLE_TERM_TIME
MSK_DPAR_MIO_MAX_TIME
MSK_DPAR_MIO_NEAR_TOL_ABS_GAP
MSK_DPAR_MIO_NEAR_TOL_REL_GAP
MSK_DPAR_MIO_REL_GAP_CONST
MSK_DPAR_MIO_TOL_ABS_GAP
MSK_DPAR_MIO_TOL_ABS_RELAX_INT
MSK_DPAR_MIO_TOL_FEAS
MSK_DPAR_MIO_TOL_REL_DUAL_BOUND_IMPROVEMENT
MSK_DPAR_MIO_TOL_REL_GAP
MSK_DPAR_OPTIMIZER_MAX_TIME
MSK_DPAR_PRESOLVE_TOL_ABS_LINDEP
MSK_DPAR_PRESOLVE_TOL_AIJ
MSK_DPAR_PRESOLVE_TOL_REL_LINDEP
MSK_DPAR_PRESOLVE_TOL_S
MSK_DPAR_PRESOLVE_TOL_X
MSK_DPAR_QCQO_REFORMULATE_REL_DROP_TOL
MSK_DPAR_SEMIDEFINITE_TOL_APPROX
MSK_DPAR_SIM_LU_TOL_REL_PIV
MSK_DPAR_SIMPLEX_ABS_TOL_PIV
MSK_DPAR_UPPER_OBJ_CUT
MSK_DPAR_UPPER_OBJ_CUT_FINITE_TRH
```


# String parameters

```@docs
MSK_SPAR_BAS_SOL_FILE_NAME
MSK_SPAR_DATA_FILE_NAME
MSK_SPAR_DEBUG_FILE_NAME
MSK_SPAR_INT_SOL_FILE_NAME
MSK_SPAR_ITR_SOL_FILE_NAME
MSK_SPAR_MIO_DEBUG_STRING
MSK_SPAR_PARAM_COMMENT_SIGN
MSK_SPAR_PARAM_READ_FILE_NAME
MSK_SPAR_PARAM_WRITE_FILE_NAME
MSK_SPAR_READ_MPS_BOU_NAME
MSK_SPAR_READ_MPS_OBJ_NAME
MSK_SPAR_READ_MPS_RAN_NAME
MSK_SPAR_READ_MPS_RHS_NAME
MSK_SPAR_REMOTE_ACCESS_TOKEN
MSK_SPAR_SENSITIVITY_FILE_NAME
MSK_SPAR_SENSITIVITY_RES_FILE_NAME
MSK_SPAR_SOL_FILTER_XC_LOW
MSK_SPAR_SOL_FILTER_XC_UPR
MSK_SPAR_SOL_FILTER_XX_LOW
MSK_SPAR_SOL_FILTER_XX_UPR
MSK_SPAR_STAT_FILE_NAME
MSK_SPAR_STAT_KEY
MSK_SPAR_STAT_NAME
MSK_SPAR_WRITE_LP_GEN_VAR_NAME
```

